import { BaseRoute, fetchOptions, Options } from "./base";
import type { CharacterData, CharacterInfoData } from "../interface";
export declare class Charcters extends BaseRoute<CharacterData[]> {
    private readonly defaultOptions?;
    constructor(options?: Options<fetchOptions>);
    /**
     * @param {string} uid Genshin Impact UID
     */
    fetch(uid: string, options?: fetchOptions): Promise<CharacterData[]>;
    /**
     * @param {number} characterId The avatar's id
     */
    fetchAvatarInfo(characterId: number, options?: fetchOptions): Promise<CharacterInfoData>;
}
