import { BaseRoute, fetchOptions, Options } from "./base";
import type { CardBackListData, CardListData, TCGData } from "../interface";
export type CardListOptions = fetchOptions & Partial<{
    need_avatar: boolean;
    need_action: boolean;
    need_stats: boolean;
    offset: number;
    limit: number;
}>;
declare class BasicInfo extends BaseRoute<TCGData> {
    private readonly defaultOptions?;
    constructor(options?: Options<fetchOptions>);
    /**
     * @param {string} uid Genshin Impact UID
     */
    fetch(uid: string, options?: fetchOptions): Promise<TCGData>;
}
declare class CardList extends BaseRoute<CardListData> {
    private readonly defaultOptions?;
    constructor(options?: Options<fetchOptions>);
    /**
     * @param {string} uid Genshin Impact UID
     */
    fetch(uid: string, options?: CardListOptions): Promise<CardListData>;
}
declare class CardBackList extends BaseRoute<CardBackListData> {
    private readonly defaultOptions?;
    constructor(options?: Options<fetchOptions>);
    /**
     * @param {string} uid Genshin Impact UID
     */
    fetch(uid: string, options?: fetchOptions): Promise<CardBackListData>;
}
export declare class TCG {
    basicInfo: BasicInfo;
    cardList: CardList;
    cardBackList: CardBackList;
    constructor(options?: Options<fetchOptions>);
}
export {};
