"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mergeOptions = void 0;
function mergeOptions(options, cookieManager, defaultOptions) {
    const cookie = options?.cookie || cookieManager?.get().cookie || defaultOptions?.cookie;
    const language = options?.language || defaultOptions?.language || "en-us" /* Language.EnglishUS */;
    if (options && "previous" in options) {
        return {
            cookie,
            language,
            previous: options.previous,
        };
    }
    if (options && "page" in options) {
        return {
            cookie,
            language,
            page: options.page,
        };
    }
    if (options &&
        ("need_avatar" in options ||
            "need_action" in options ||
            "need_stats" in options ||
            "offset" in options ||
            "limit" in options)) {
        const { need_avatar, need_action, need_stats, offset, limit } = options;
        return {
            cookie,
            language,
            need_avatar,
            need_action,
            need_stats,
            offset,
            limit,
        };
    }
    if (options && "month" in options) {
        return {
            cookie,
            language,
            month: options.month,
        };
    }
    return {
        cookie,
        language,
    };
}
exports.mergeOptions = mergeOptions;
